#include "deleteticketdialog.h"
#include "ui_deleteticketdialog.h"

deleteTicketDialog::deleteTicketDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::deleteTicketDialog)
{
    ui->setupUi(this);
    this->show();

    if (!m_db.open())        qDebug()<<"Error: DB not connectred";
    else                     qDebug()<<"DB connected succesfully";
    m_query = new QSqlQuery(m_db);
    tableView();
    connect(ui->tableView, &QTableView::clicked, this, &deleteTicketDialog::update_tableView);

}

deleteTicketDialog::~deleteTicketDialog()
{
    delete ui;
}

void deleteTicketDialog::tableView()
{
    QSqlQueryModel* result_model = new QSqlQueryModel(this);
    m_query->exec("SELECT ticket_id, row AS \"ряд\", seat AS \"место\", session_id AS \"номер сеанса\", customer AS \"покупатель\", purchase_date AS \"время покупки\" FROM Tickets;");
    result_model->setQuery(*m_query);
    ui->tableView->setModel(result_model);
}

void deleteTicketDialog::update_tableView(const QModelIndex &index)
{
    row = index.row();
}

void deleteTicketDialog::on_pushButton_clicked()
{
    qDebug() << row;
    m_query->prepare("DELETE FROM Tickets WHERE ticket_id = :ticket_id;");
    m_query->bindValue(":ticket_id", row);

    tableView();
}

