#include "filmratingdialog.h"
#include "ui_filmratingdialog.h"

filmRatingDialog::filmRatingDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::filmRatingDialog)
{
    ui->setupUi(this);
    this->show();

    if (!m_db.open())        qDebug()<<"Error: DB not connectred";
    else                     qDebug()<<"DB connected succesfully";
    m_query = new QSqlQuery(m_db);
    tableView();
}

filmRatingDialog::~filmRatingDialog()
{
    delete ui;
}

void filmRatingDialog::tableView()
{
    QSqlQueryModel* result_model = new QSqlQueryModel(this);
    m_query->exec("SELECT title, director, duration, year, Rating FROM films;");
    result_model->setQuery(*m_query);
    ui->tableView->setModel(result_model);
}
